Skip to content

Update a principal assignment

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.manage
Admin roles:
  • APP_ADMIN

Updates a principal assignment

Path
collectionIdstringrequired

Unique identifier for the collection

assignmentIdstringrequired

Unique identifier for the collection assignment

Bodyapplication/jsonrequired

The writable attributes of a collection assignment

Array [
opstring, non-empty(assignment-patch-op)required

The operation performed for the update

Enum:"ADD""REMOVE""REPLACE"
pathstringrequired

The path of the property that's updated. For example, /expirationTime and /timeZone for the assignment update.

valuestring

The value of the property that's updated

]
PATCH
/governance/api/v2/collections/{collectionId}/assignments/{assignmentId}
curl -i -X PATCH \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/collections/{collectionId}/assignments/{assignmentId}' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "ADD",
      "path": "/expirationTime",
      "value": "2024-04-30T23:59:59Z"
    },
    {
      "op": "ADD",
      "path": "/timeZone",
      "value": "America/Toronto"
    }
  ]'

Responses

A successful collection response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Response
No content